package cn.iocoder.yudao.module.knowledge.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import cn.iocoder.yudao.module.knowledge.controller.requestdto.TArchivesRequest;
import cn.iocoder.yudao.module.knowledge.entity.TArchives;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 档案表(TArchives)表数据库访问层
 *
 * @author makejava
 * @since 2024-04-11 10:25:58
 * 弃用 新实现在di-module-company
 */
@Deprecated
@Mapper
public interface TArchivesMapper extends BaseMapper<TArchives> {
    IPage<TArchives> selectTArchivesList(Page page, @Param("param") TArchivesRequest tArchives);
    IPage<TArchives> selectTArchivesListOfName(Page page, @Param("param") TArchivesRequest tArchives);
    List<TArchives> findAllDoc(@Param("param") TArchivesRequest tArchives);
    List<TArchives> getParByCode( @Param("code") String code);

    List<TArchives> selectByCondition(@Param("param") TArchives tArchives);
    TArchives selectByCode(@Param("code") String code);
    List<TArchives> selectOneByCode(@Param("code") String code);

    List<TArchives> selectByArchivId(@Param("parentId") Long parentId);
    TArchives selectByArchivParentId(@Param("parentId") Long parentId);

    TArchives selectOnleByCondition(@Param("param") TArchivesRequest tArchivesRequest);
    TArchives selectOneByCondition(@Param("param") TArchivesRequest tArchivesRequest);

    TArchives getParentId(Long id);

    TArchives selectOnleByConditionDir(@Param("param") TArchivesRequest tArchivesRequest);

    List<TArchives> findAllDocList(Page<TArchives> page, @Param("param") TArchivesRequest tArchives);

    IPage<TArchives> appFindByParentId(Page<TArchives> page,@Param("param") TArchivesRequest tArchives);
}

